---
title: Tab Position
page_title: Tab Position - TabStrip - Kendo UI for Vue
description: "Setting the tab position of the tabs in Kendo UI TabStrip wrapper for Vue."
slug: tab_position_tabstrip
position: 4
---

# Tab Position

The TabStrip enables you to configure the position of its tabs by using the `tabPosition` prop.

The `tabPosition` setting accepts the following values:

* `left`
* `right`
* `bottom`
* `top`

```html-preview
<div id="vueapp" class="vue-app">
    <kendo-tabstrip :tab-position="'left'">
        <ul>
            <li class="k-state-active">
                Paris
            </li>
            <li>
                New York
            </li>
        </ul>
        <div>
            <div>
                <p>Rainy weather in Paris.</p>
            </div>
        </div>
        <div>
            <div>
                <p>Sunny weather in New York.</p>
            </div>
        </div>
    </kendo-tabstrip>
</div>
```
```js
Vue.use(LayoutInstaller);

new Vue({
    el: "#vueapp"
})
```

## Suggested Links

* [Kendo UI TabStrip for jQuery](https://docs.telerik.com/kendo-ui/controls/navigation/tabstrip/overview)
* [API Reference of the TabStrip Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/tabstrip)
